from SystemUpdater.Core.GenericConfigParser import Gconfig
from SystemUpdater.Core.PluginManager import pluginManagerClass as scripts_manager
import logging
class scriptsManager:
    def __init__(self):
        pass

    def check_pre_update_scripts(self):
        try:
            genericConfig = Gconfig()
            # 获取 script 字段，若不存在则返回空列表
            scripts = genericConfig.get("script", {})
            pre_update_scripts_list = scripts.get("pre_update_script",[])
            logging.info(f"pre_update scripts list is {pre_update_scripts_list}")
            for srcipt in pre_update_scripts_list:
                scripts_manager.run_plugin(srcipt)
        except Exception as e:
            logging.error("pre_update_scripts exec failed")
            logging.error(e)

    def check_post_update_scripts(self):
        try:
            genericConfig = Gconfig()
            # 获取 script 字段，若不存在则返回空列表
            scripts = genericConfig.get("script", {})
            post_update_scripts_list = scripts.get("post_update_script",[])
            logging.info(f"pre_update scripts list is {post_update_scripts_list}")
            for srcipt in post_update_scripts_list:
                scripts_manager.run_plugin(srcipt)
        except Exception as e:
            logging.error("post_update_scripts exec failed")
            logging.error(e)